compat: add linux/atmoic.h